function x = CreateExpSignal(N,a)

% function OutputSignal=CreateExpSignal(N,a)
%
% This function generates an N-vector is the exponential (a^n) 
% signal. If the parameter a is real, then x(n) is a real signal. 

%  Author: Andreas Floros
%  Digital Audio Technology Toolbox
%  Audio Group, WCL, University of Patras
%  Last Modified: 18/05/2005.

% Check the required input arguments.
if (nargin < 2)
  error('Not enough input arguments.')
end

% Generate the exponential sequence.
x = a.^(0:N-1).';

