function [y]=WhiteNoise(npoints);

% function [y]=WhiteNoise(npoints)
%
% This function creates a white noise discrete time signal
% with length npoints. The amplitude of the noise signal
% varies within [-1, 1]
%
%  Author: Andreas Floros
%  Digital Audio Technology Toolbox
%  Audio Group, WCL, University of Patras
%  Last Modified: 17/05/2005.
y=randn(npoints,1);
y=y./max(abs(y));
